none
Suse 12.2 not sending Logical Disk State info

    General discussion

  • I installed the Linux Agent on Suse 12.2 and when I stop and start a monitored service, the SCOM 2012 server receives the alert. I cannot view the Logical Disk State of the Suse server. Can it be permissions?

    Greetings

    Gert

    Thursday, October 18, 2012 11:56 AM

All replies

  • Interesting... we don't support SUSE 12 yet. Did you have to do anything specific to get the agent installed or is it running the Universal agent? How does the agent show up in SCOM 2012? Is it monitored at all? If most things are being monitored but you are only having issues with the Logical Disk State it could just be a specific issues with that provider so I doubt it's a permissions issue.

    What does the following return when run from a command prompt on the SCOM 2012 server?

    winrm e http://schemas.microsoft.com/wbem/wscim/1/cim-schema/2/SCX_Agent?__cimnamespace=root/scx -r:https://<UNIX/Linux server>:1270 -u:<unix user> -p:<unix password>  -auth:basic -encoding:utf-8

    Regards,

    -Steve

    Thursday, October 18, 2012 12:49 PM
    Moderator
  • Just as some additional clarification on supported versions, Microsoft's official support is for SUSE Linux Enterprise Server 11 (including SP1 and SP2), as opposed to openSUSE (which we do not officially support) because SLES is much more likely to be used in production enterprise environments.  SLES is not at version 12 currently, but when it is released, we will certainly add support for SLES 12. 

    Michael Kelley, Lead Program Manager, System Center Cross Platform

    Thursday, October 18, 2012 5:53 PM
    Moderator
  • Hi All,

    do we have any release now which could monitor SUSE 12 sp1 and sp2 as well.

    any link where we can download the mp for SUSE 12 sp2 for SCOM 2012 r2 would be helpful


    swapna

    Friday, April 07, 2017 8:54 AM
  • Lakshmi,

    The current SCOM SCX agent for SUSE 12 will work with SUSU 12.X. It supports any minor version. We only release a new agent when the major version changes. If you have issues getting it to work, post them here and we'll look into it.

    Regards,

    -Steve


    Friday, April 07, 2017 12:17 PM
    Moderator
  • Thanks Steve, how about SUSE 13.2, which is called probably as OPEN SUSE.

    Any idea on this, please help me it would be really helpful.


    swapna

    Tuesday, April 18, 2017 6:11 AM
  • We only support SUSE Linux Enterprise Server [SLES] and 13.x has not been released yet so if this is Open SUSE, it is not supported either way. You can probably get the Universal agent to run on it but we do not support it so you are own your own if there are issues.

    Regards,

    -Steve

    Tuesday, April 18, 2017 12:42 PM
    Moderator
  • OK, thanks.

    As per your suggestion I tried to install agent on one of the SUSE 12.2 OS version machine. It is through Manual installation.

    then I tried to discover from SCOM Console , it gave me error like below

    No installable UNIX/Linux agent is available

    From LINUX machine

     rpm -ivh scx-1.5.1-216.sles.12.x64.rpm

    Preparing...                          ################################# [100%]

    Updating / installing...

       1:scx-1.5.1-216                    ################################# [100%]

    Generating certificate with hostname="xxxx", domainname="xxxx.com"

    scx-cimd is neither service nor target!?

    warning: %post(scx-1.5.1-216.x86_64) scriptlet failed, exit status 1


    swapna

    Wednesday, April 19, 2017 5:24 AM
  • Hi Steve,

    Could you please help me on this.


    swapna

    Monday, April 24, 2017 6:09 AM
  • Hi Swapna,

    Can you please try : 

    Manual Install of agent : https://social.technet.microsoft.com/wiki/contents/articles/19527.scom-2012-r2-manually-installing-and-troubleshooting-linuxunix-agents.aspx

    Please verify if the certificate is correctly generated : https://technet.microsoft.com/en-us/library/hh212851.aspx

    Thanks,

    Nirbhay Singh

    Tuesday, April 25, 2017 8:24 AM
  • we have other 150+ server of different version of UNIX/LINUX

    certificates are in place.

    Thanks it worked when I installed it with new version 1.5.1-242


    swapna

    Tuesday, April 25, 2017 1:07 PM